import pygame, os

def play_music(file_name):
    pygame.mixer.music.load(os.path.join('audio', file_name))
    pygame.mixer.music.play(0)

def loop_music(file_name):
    pygame.mixer.music.load(os.path.join('audio', file_name))
    pygame.mixer.music.play(-1)

def load_sound(file_name):
    return pygame.mixer.Sound(os.path.join('audio', file_name))

def init():
    global bang, boom, hit, player_hit, zap
    
    bang       = load_sound("bang.wav")
    boom       = load_sound("boom.wav")
    hit        = load_sound("hit.wav")
    player_hit = load_sound("player_hit.wav")
    zap        = load_sound("zap.wav")
