import audio, graphic

class Explosion:
    def __init__(self, location, timer):
        self.location = location
        self.timer    = timer
    
    def draw(self):
        if self.timer >= 0:
            graphic.draw_centered(graphic.explosion[self.timer], graphic.screen, self.location)
    
    def over(self):
        return self.timer == 10
    
    def update(self):
        if self.timer == 0:
            audio.boom.play()
        self.timer+=1

def create(location, timer):
    global list
    list += [Explosion(location, timer-1)]

def draw():
    global list
    for explosion in list:
        explosion.draw()

def update():
    global list
    for explosion in list:
        explosion.update()

    x = 0
    while x < len(list):
        if list[x].over():
            list.pop(x)
        else:
            x+=1

def init():
    global list
    list = []
